classification
Title: Upgrade to SQLite 3.35.5 in macOS and Windows
Type: enhancement Stage: resolved
Components: macOS, Windows Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Big Stone, erlendaasland, matrixise, miss-islington, ned.deily, paul.moore, ronaldoussoren, shreyanavigyan, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2021-03-14 20:12 by erlendaasland, last changed 2021-04-27 19:57 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25640 merged erlendaasland, 2021-04-26 22:27
PR 25641 merged erlendaasland, 2021-04-26 22:28
PR 25662 merged miss-islington, 2021-04-27 17:19
PR 25663 merged miss-islington, 2021-04-27 17:19
PR 25665 merged erlendaasland, 2021-04-27 17:45
PR 25666 merged erlendaasland, 2021-04-27 17:49
Messages (27)
msg388685 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-03-14 20:12
SQLite 3.35.0 was released a couple of days ago: https://www.sqlite.org/releaselog/3_35_0.html

Suggesting to hold off for a week or two, to see if a bug-fix release happens.
msg388776 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-03-15 21:37
Bug-fix release 3.35.1 is out bco. https://sqlite.org/src/info/1c24a659e6d7f3a1
msg389004 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-03-18 09:21
Bug-fix release 3.35.2 is out: https://www.sqlite.org/releaselog/3_35_2.html

Let's wait until end of March before updating the installers.
msg389081 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-03-19 12:15
SQLite 3.35.3 is upcoming: https://sqlite.org/forum/forumpost/6e2b05ad62?t=h
Seems like we'll have to wait a little bit for 3.35 to stabilise.
msg389341 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-03-22 20:50
FYI: https://www.sqlite.org/cgi/src/info/8de4cb984a4b019f:

"We anticipate 3.35.3 in a few days. Hopefully there will never be a need for 3.35.4."
msg389926 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-03-31 18:16
Quoting Dr. R. Hipp: "There will be a fix called version 3.35.4"

https://sqlite.org/forum/forumpost/7dbf046041519a07a0a083b8346a7d0ecb7d6fc4eca5ca23605eeb4452109d91
msg390864 - (view) Author: Big Stone (Big Stone) Date: 2021-04-12 16:12
3.35.4 is there
msg390869 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-12 16:56
It's been a busy month for the SQLite team... hope they're doing okay.

Let's give this one a few weeks, just in case.
msg390879 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-04-12 18:00
I agree, Steve.
msg391069 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-04-14 11:48
Looks like there might be a 3.35.5 release in the near future: https://sqlite.org/forum/forumpost/d36426225c?t=h
msg391088 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-14 15:26
As @steve.dower mentioned that maybe the SQLite team is busy fixing bugs and implementing features in SQLite 3.35. But @erlendaasland, https://sqlite.org/forum/forumpost/d36426225c?t=h has a question related to SQLite 3.35.5 but there was no reply or confirmation from the SQLite team. There maybe a direct SQLite 3.36.0 instead of 3.35.5. Moreover if n o bugs are found in the upcoming SQLite 3.35 release I think it's time to implement that version of SQLite to work with python/cpython or it'll be too late and SQLite 3.36 may be released.
msg391387 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-04-19 19:12
SQLite 3.35.5 is out today. Let's wait until next weekend and see if fossil and forum is quiet. If they are, I'll open PRs for the installers.

https://www.sqlite.org/releaselog/3_35_5.html
msg391788 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-24 18:34
Do anyone notice any bug in SQLite 3.35.5? If not then I think it's time to upgrade to SQLite 3.35.5.
msg391790 - (view) Author: St├ęphane Wirtel (matrixise) * (Python committer) Date: 2021-04-24 18:47
Hi Shreyan Avigyan,

For that, you need to follow the forum of SQLite.

https://www.sqlite.org/forum/forum
msg391994 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-04-26 22:35
Steve & Ned: It would be nice if we could merge the PR's just before the weekend, so we get up-to-date installers for the beta.

FYI, the SQLite forum has been quiet, and the fossil branch has not moved.
msg392032 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-27 07:01
Updating the source. https://github.com/python/cpython-source-deps/pull/24
msg392033 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-04-27 07:15
Thanks Shreyan, but Steve prefers to update it himself: https://github.com/python/cpython-source-deps/pull/22#issuecomment-705234459

Just having the sources in place does not really help; you need a new git tag, which can only be pushed by core devs. Better to wait for the Windows team to fix this (also less noise for them) :)
msg392034 - (view) Author: Shreyan Avigyan (shreyanavigyan) * Date: 2021-04-27 07:19
Ok. I'm closing https://github.com/python/cpython-source-deps/pull/24 then.
msg392094 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-27 15:55
I've pushed the new sources and retriggered the PR (a bit messily, because I tagged/labelled the wrong version number initially, but it's there now). So if it all passes then we're good from my POV.
msg392099 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-04-27 16:04
Thank you, Steve!
msg392102 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-27 16:24
New changeset bf0c7c0147b73738cac63eb27ef48430284ff121 by Erlend Egeberg Aasland in branch 'master':
bpo-43492: Upgrade Windows installer to use SQLite 3.35.5 (GH-25641)
https://github.com/python/cpython/commit/bf0c7c0147b73738cac63eb27ef48430284ff121
msg392106 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2021-04-27 17:19
New changeset ce827816442613f982c356aa2f434c3c8a0c8917 by Erlend Egeberg Aasland in branch 'master':
bpo-43492: Update macOS installer to use SQLite 3.35.5 (GH-25640)
https://github.com/python/cpython/commit/ce827816442613f982c356aa2f434c3c8a0c8917
msg392110 - (view) Author: miss-islington (miss-islington) Date: 2021-04-27 17:37
New changeset e013d8df2c9b6ea5bc9ae92a10950157e6cb46d6 by Miss Islington (bot) in branch '3.8':
bpo-43492: Update macOS installer to use SQLite 3.35.5 (GH-25640)
https://github.com/python/cpython/commit/e013d8df2c9b6ea5bc9ae92a10950157e6cb46d6
msg392112 - (view) Author: miss-islington (miss-islington) Date: 2021-04-27 17:42
New changeset bf0736db455517412b0702b023dc71ed9de05d70 by Miss Islington (bot) in branch '3.9':
[3.9] bpo-43492: Update macOS installer to use SQLite 3.35.5 (GH-25640) (GH-25662)
https://github.com/python/cpython/commit/bf0736db455517412b0702b023dc71ed9de05d70
msg392124 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-27 19:57
New changeset 5cadcec5ecf6f95cc771e509ad98c3e3533b32bb by Erlend Egeberg Aasland in branch '3.9':
[3.9] bpo-43492: Upgrade Windows installer to use SQLite 3.35.5 (GH-25641)
https://github.com/python/cpython/commit/5cadcec5ecf6f95cc771e509ad98c3e3533b32bb
msg392125 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-27 19:57
New changeset 7f7cfc41185b651be9cb4d2759c40c3abf738485 by Erlend Egeberg Aasland in branch '3.8':
[3.8] bpo-43492: Upgrade Windows installer to use SQLite 3.35.5 (GH-25641)
https://github.com/python/cpython/commit/7f7cfc41185b651be9cb4d2759c40c3abf738485
msg392126 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-27 19:57
Thanks for the backports!
History
Date User Action Args
2021-04-27 19:57:52steve.dowersetstatus: open -> closed
versions: + Python 3.8, Python 3.9
messages: + msg392126

resolution: fixed
stage: patch review -> resolved
2021-04-27 19:57:28steve.dowersetmessages: + msg392125
2021-04-27 19:57:13steve.dowersetmessages: + msg392124
2021-04-27 17:49:41erlendaaslandsetpull_requests: + pull_request24355
2021-04-27 17:45:29erlendaaslandsetpull_requests: + pull_request24354
2021-04-27 17:42:19miss-islingtonsetmessages: + msg392112
2021-04-27 17:37:06miss-islingtonsetmessages: + msg392110
2021-04-27 17:19:37miss-islingtonsetpull_requests: + pull_request24353
2021-04-27 17:19:31miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request24352
2021-04-27 17:19:24ned.deilysetmessages: + msg392106
2021-04-27 16:24:12steve.dowersetmessages: + msg392102
2021-04-27 16:04:45erlendaaslandsetmessages: + msg392099
2021-04-27 15:55:09steve.dowersetmessages: + msg392094
2021-04-27 07:19:59shreyanavigyansetmessages: + msg392034
2021-04-27 07:15:50erlendaaslandsetmessages: + msg392033
2021-04-27 07:01:22shreyanavigyansetmessages: + msg392032
2021-04-26 22:35:51erlendaaslandsetmessages: + msg391994
2021-04-26 22:28:31erlendaaslandsetpull_requests: + pull_request24334
2021-04-26 22:27:33erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request24333
2021-04-24 18:47:40matrixisesetmessages: + msg391790
2021-04-24 18:34:11shreyanavigyansetmessages: + msg391788
2021-04-24 18:28:32matrixisesetnosy: + matrixise
2021-04-19 19:12:37erlendaaslandsetmessages: + msg391387
title: Upgrade to SQLite 3.35.4 in macOS and Windows -> Upgrade to SQLite 3.35.5 in macOS and Windows
2021-04-14 15:26:22shreyanavigyansetnosy: + shreyanavigyan
messages: + msg391088
2021-04-14 11:48:37erlendaaslandsetmessages: + msg391069
2021-04-12 18:00:03erlendaaslandsetmessages: + msg390879
2021-04-12 16:56:23steve.dowersetmessages: + msg390869
2021-04-12 16:12:40Big Stonesetnosy: + Big Stone
messages: + msg390864
2021-03-31 18:16:48erlendaaslandsetmessages: + msg389926
title: Upgrade to SQLite 3.35.3 in macOS and Windows -> Upgrade to SQLite 3.35.4 in macOS and Windows
2021-03-22 20:50:31erlendaaslandsetmessages: + msg389341
title: Upgrade to SQLite 3.35.2 in macOS and Windows -> Upgrade to SQLite 3.35.3 in macOS and Windows
2021-03-19 12:15:37erlendaaslandsetmessages: + msg389081
2021-03-18 09:21:18erlendaaslandsetmessages: + msg389004
title: Upgrade to SQLite 3.35.1 in macOS and Windows -> Upgrade to SQLite 3.35.2 in macOS and Windows
2021-03-15 21:37:04erlendaaslandsetmessages: + msg388776
title: Upgrade to SQLite 3.35.0 in macOS and Windows -> Upgrade to SQLite 3.35.1 in macOS and Windows
2021-03-14 20:12:12erlendaaslandcreate